window.Gleam.initSearch([{"doc":"gleam_javascript","title":"gleam_javascript","content":"# Gleam JavaScript 🌼\n\nWork with JavaScript types and values in Gleam.\n\n## Installation\n\nAdd this package to your Gleam project.\n\n```shell\ngleam add gleam_javascript\n```\n\n## Features\n\nThis library contains modules for working with...\n\n- Arrays\n- Mutable references\n- Promises\n- Symbols\n- `typeof`\n","url":"index.html"},{"doc":"gleam/javascript/array","title":"Array","content":"pub external type Array(element)\n\n\nSynonyms:\ngleam/javascript/array.Array\ngleam/javascript/array Array","url":"gleam/javascript/array.html#Array"},{"doc":"gleam/javascript/array","title":"fold","content":"pub external fn fold(Array(e), a, fn(a, e) -&gt; a) -&gt; a\n\nSynonyms:\ngleam/javascript/array.fold\ngleam/javascript/array fold","url":"gleam/javascript/array.html#fold"},{"doc":"gleam/javascript/array","title":"fold_right","content":"pub external fn fold_right(Array(e), a, fn(a, e) -&gt; a) -&gt; a\n\nSynonyms:\ngleam/javascript/array.fold_right\ngleam/javascript/array fold_right","url":"gleam/javascript/array.html#fold_right"},{"doc":"gleam/javascript/array","title":"from_list","content":"pub external fn from_list(List(element)) -&gt; Array(element)\n\nSynonyms:\ngleam/javascript/array.from_list\ngleam/javascript/array from_list","url":"gleam/javascript/array.html#from_list"},{"doc":"gleam/javascript/array","title":"get","content":"pub external fn get(Array(e), Int) -&gt; Result(e, Nil)\n\nSynonyms:\ngleam/javascript/array.get\ngleam/javascript/array get","url":"gleam/javascript/array.html#get"},{"doc":"gleam/javascript/array","title":"length","content":"pub external fn length(Array(element)) -&gt; Int\n\nSynonyms:\ngleam/javascript/array.length\ngleam/javascript/array length","url":"gleam/javascript/array.html#length"},{"doc":"gleam/javascript/array","title":"map","content":"pub external fn map(Array(a), fn(a) -&gt; b) -&gt; Array(b)\n\nSynonyms:\ngleam/javascript/array.map\ngleam/javascript/array map","url":"gleam/javascript/array.html#map"},{"doc":"gleam/javascript/array","title":"to_list","content":"pub external fn to_list(Array(element)) -&gt; List(element)\n\nSynonyms:\ngleam/javascript/array.to_list\ngleam/javascript/array to_list","url":"gleam/javascript/array.html#to_list"},{"doc":"gleam/javascript/array","title":"gleam/javascript/array","content":"","url":"gleam/javascript/array.html"},{"doc":"gleam/javascript/promise","title":"Promise","content":"pub external type Promise(value)\n\n\nSynonyms:\ngleam/javascript/promise.Promise\ngleam/javascript/promise Promise","url":"gleam/javascript/promise.html#Promise"},{"doc":"gleam/javascript/promise","title":"await2","content":"pub external fn await2(\n  Promise(a),\n  Promise(b),\n) -&gt; Promise(#(a, b))\n\nSynonyms:\ngleam/javascript/promise.await2\ngleam/javascript/promise await2","url":"gleam/javascript/promise.html#await2"},{"doc":"gleam/javascript/promise","title":"await3","content":"pub external fn await3(\n  Promise(a),\n  Promise(b),\n  Promise(c),\n) -&gt; Promise(#(a, b, c))\n\nSynonyms:\ngleam/javascript/promise.await3\ngleam/javascript/promise await3","url":"gleam/javascript/promise.html#await3"},{"doc":"gleam/javascript/promise","title":"await4","content":"pub external fn await4(\n  Promise(a),\n  Promise(b),\n  Promise(c),\n  Promise(d),\n) -&gt; Promise(#(a, b, c, d))\n\nSynonyms:\ngleam/javascript/promise.await4\ngleam/javascript/promise await4","url":"gleam/javascript/promise.html#await4"},{"doc":"gleam/javascript/promise","title":"await5","content":"pub external fn await5(\n  Promise(a),\n  Promise(b),\n  Promise(c),\n  Promise(d),\n  Promise(e),\n) -&gt; Promise(#(a, b, c, d, e))\n\nSynonyms:\ngleam/javascript/promise.await5\ngleam/javascript/promise await5","url":"gleam/javascript/promise.html#await5"},{"doc":"gleam/javascript/promise","title":"await6","content":"pub external fn await6(\n  Promise(a),\n  Promise(b),\n  Promise(c),\n  Promise(d),\n  Promise(e),\n  Promise(f),\n) -&gt; Promise(#(a, b, c, d, e, f))\n\nSynonyms:\ngleam/javascript/promise.await6\ngleam/javascript/promise await6","url":"gleam/javascript/promise.html#await6"},{"doc":"gleam/javascript/promise","title":"await_array","content":"pub external fn await_array(\n  Array(Promise(a)),\n) -&gt; Promise(Array(a))\n\nSynonyms:\ngleam/javascript/promise.await_array\ngleam/javascript/promise await_array","url":"gleam/javascript/promise.html#await_array"},{"doc":"gleam/javascript/promise","title":"await_list","content":"pub fn await_list(xs: List(Promise(a))) -&gt; Promise(List(a))\n\nSynonyms:\ngleam/javascript/promise.await_list\ngleam/javascript/promise await_list","url":"gleam/javascript/promise.html#await_list"},{"doc":"gleam/javascript/promise","title":"map","content":"pub external fn map(Promise(a), fn(a) -&gt; b) -&gt; Promise(b)\n\nSynonyms:\ngleam/javascript/promise.map\ngleam/javascript/promise map","url":"gleam/javascript/promise.html#map"},{"doc":"gleam/javascript/promise","title":"map_try","content":"pub fn map_try(promise: Promise(Result(a, b)), callback: fn(a) -&gt;\n    Result(c, b)) -&gt; Promise(Result(c, b))\n\nSynonyms:\ngleam/javascript/promise.map_try\ngleam/javascript/promise map_try","url":"gleam/javascript/promise.html#map_try"},{"doc":"gleam/javascript/promise","title":"rescue","content":"pub external fn rescue(\n  Promise(value),\n  fn(Dynamic) -&gt; value,\n) -&gt; Promise(value)\n\nSynonyms:\ngleam/javascript/promise.rescue\ngleam/javascript/promise rescue","url":"gleam/javascript/promise.html#rescue"},{"doc":"gleam/javascript/promise","title":"resolve","content":"pub external fn resolve(value) -&gt; Promise(value)\n\nSynonyms:\ngleam/javascript/promise.resolve\ngleam/javascript/promise resolve","url":"gleam/javascript/promise.html#resolve"},{"doc":"gleam/javascript/promise","title":"tap","content":"pub fn tap(promise: Promise(a), callback: fn(a) -&gt; b) -&gt; Promise(\n  a,\n)\n\nSynonyms:\ngleam/javascript/promise.tap\ngleam/javascript/promise tap","url":"gleam/javascript/promise.html#tap"},{"doc":"gleam/javascript/promise","title":"then","content":"pub external fn then(\n  Promise(a),\n  fn(a) -&gt; Promise(b),\n) -&gt; Promise(b)\n\nSynonyms:\ngleam/javascript/promise.then\ngleam/javascript/promise then","url":"gleam/javascript/promise.html#then"},{"doc":"gleam/javascript/promise","title":"then_try","content":"pub fn then_try(promise: Promise(Result(a, b)), callback: fn(a) -&gt;\n    Promise(Result(c, b))) -&gt; Promise(Result(c, b))\n\nSynonyms:\ngleam/javascript/promise.then_try\ngleam/javascript/promise then_try","url":"gleam/javascript/promise.html#then_try"},{"doc":"gleam/javascript/promise","title":"gleam/javascript/promise","content":"","url":"gleam/javascript/promise.html"},{"doc":"gleam/javascript","title":"Reference","content":"pub external type Reference(value)\n\n\nSynonyms:\ngleam/javascript.Reference\ngleam/javascript Reference","url":"gleam/javascript.html#Reference"},{"doc":"gleam/javascript","title":"Symbol","content":"pub external type Symbol\n\n\nSynonyms:\ngleam/javascript.Symbol\ngleam/javascript Symbol","url":"gleam/javascript.html#Symbol"},{"doc":"gleam/javascript","title":"TypeOf","content":"pub type TypeOf {\n  UndefinedType\n  ObjectType\n  BooleanType\n  NumberType\n  BigIntType\n  StringType\n  SymbolType\n  FunctionType\n}\n\nUndefinedType\n\n\nObjectType\n\n\nBooleanType\n\n\nNumberType\n\n\nBigIntType\n\n\nStringType\n\n\nSymbolType\n\n\nFunctionType\n\n\nSynonyms:\ngleam/javascript.TypeOf\ngleam/javascript TypeOf","url":"gleam/javascript.html#TypeOf"},{"doc":"gleam/javascript","title":"dereference","content":"pub external fn dereference(Reference(a)) -&gt; a\n\nSynonyms:\ngleam/javascript.dereference\ngleam/javascript dereference","url":"gleam/javascript.html#dereference"},{"doc":"gleam/javascript","title":"get_symbol","content":"pub external fn get_symbol(String) -&gt; Symbol\n\nSynonyms:\ngleam/javascript.get_symbol\ngleam/javascript get_symbol","url":"gleam/javascript.html#get_symbol"},{"doc":"gleam/javascript","title":"make_reference","content":"pub external fn make_reference(a) -&gt; Reference(a)\n\nSynonyms:\ngleam/javascript.make_reference\ngleam/javascript make_reference","url":"gleam/javascript.html#make_reference"},{"doc":"gleam/javascript","title":"set_reference","content":"pub external fn set_reference(Reference(a), a) -&gt; a\n\nSynonyms:\ngleam/javascript.set_reference\ngleam/javascript set_reference","url":"gleam/javascript.html#set_reference"},{"doc":"gleam/javascript","title":"type_of","content":"pub external fn type_of(value) -&gt; TypeOf\n\nSynonyms:\ngleam/javascript.type_of\ngleam/javascript type_of","url":"gleam/javascript.html#type_of"},{"doc":"gleam/javascript","title":"update_reference","content":"pub fn update_reference(ref: Reference(a), f: fn(a) -&gt; a) -&gt; a\n\nSynonyms:\ngleam/javascript.update_reference\ngleam/javascript update_reference","url":"gleam/javascript.html#update_reference"},{"doc":"gleam/javascript","title":"gleam/javascript","content":"","url":"gleam/javascript.html"}]);